Page MenuHomePhabricator

Protocol Template Issues
Closed, ResolvedPublic

Description

As you can see from below it is not possible to set a static route.

vyos@vyos# edit protocols static
DEBUG vexit_internal: get_parsed_tmpl: failed to parse tmpl [/protocols/static/route]

[edit]
vyos@vyos# edit protocols
[edit protocols]
vyos@vyos# set static roDEBUG vexit_internal: get_parsed_tmpl: failed to parse tmpl [/protocols/static/route]

DEBUG vexit_internal: get_parsed_tmpl: failed to parse tmpl [/protocols/static/route]

DEBUG vexit_internal: get_parsed_tmpl: failed to parse tmpl [/protocols/static/route]

Configuration path: static [ro] is not valid

[edit protocols]
vyos@vyos# run show version
No hypervisor detected
Version: VyOS 999.201612010232
Built by: autobuild@vyos.net
Built on: Thu 01 Dec 2016 02:32 UTC
Build ID: 9fcb2212-f8c4-4119-9399-4c0d45984e31

Architecture: x86_64
Boot via: installed image
System type: physical

Hardware vendor: Supermicro
Hardware model: Super Server
Hardware S/N: 0123456789
Hardware UUID: 00000000-0000-0000-0000-0CC47A93A0EA

Copyright: VyOS maintainers and contributors
[edit protocols]
vyos@vyos#

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 999.201612010232
syncer edited projects, added VyOS 1.2.x; removed VyOS 2.0.x.Dec 14 2016, 7:01 PM
syncer triaged this task as Normal priority.
syncer added a subscriber: VyOS 1.2.x.
syncer changed the task status from Open to On hold.Oct 13 2018, 7:27 PM
syncer assigned this task to tmartinson.
syncer added a subscriber: syncer.

requires testing on the latest rolling

tmartinson closed this task as Resolved.Sat, Oct 27, 11:17 PM

Verified on VyOS 1.2.0-rc4 as working correctly.